apiVersion: v1
kind: ReplicationController
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"v1","kind":"ReplicationController","metadata":{"annotations":{},"labels":{"app":"tomcat","type":"font-end"},"name":"tomcat-rc","namespace":"default"},"spec":{"replicas":20,"template":{"metadata":{"labels":{"app":"tomcat"},"name":"myapp-pod"},"spec":{"containers":[{"image":"kkishore84/tomcat:tomcat-04-03-2021","name":"tomcat9"}]}}}}
  creationTimestamp: "2021-10-09T05:59:54Z"
  generation: 2
  labels:
    app: tomcat
    type: font-end
  name: tomcat-rc
  namespace: default
  resourceVersion: "13778"
  uid: 9ceb71d2-1a9a-41e2-bef4-16c911d6f331
spec:
  replicas: 30
  selector:
    app: tomcat
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: tomcat
      name: myapp-pod
    spec:
      containers:
      - image: kkishore84/tomcat:tomcat-04-03-2021
        imagePullPolicy: IfNotPresent
        name: tomcat9
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
status:
  availableReplicas: 20
  fullyLabeledReplicas: 20
  observedGeneration: 2
  readyReplicas: 20
  replicas: 20
